extends layout 

append stylesheets
    link(rel='stylesheet' href='css/about.css' type='text/css')

append scripts
    script var firstLogin = !{JSON.stringify(first_login).replace(/<\//g, "<\\/")}
    script var role = !{JSON.stringify(role).replace(/<\//g, "<\\/")}
    script(src='js/page_scripts/ps_users.js')

block content
    h4.page-header User Management
    .divider(style='margin-bottom: 5px')
    h5 Hello, #{username}!

    div.row
        div.col.s12.l6.left(style='padding:2.5%')

            h5#password-change-header Password Change
            form#password-change-form
                div.row
                    div.input-field.col.s10
                        input#old-pass1.validate(type='password' data-bind='value:changeOldPass' required)
                        label(for='old-pass1') Old Password
                div.row
                    div.input-field.col.s10
                        input#new-pass1.validate(type='password' data-bind='value:changeNewPass' required)
                        label(for='new-pass1') New Password
                div.row
                    div.input-field.col.s10
                        input#new-pass2.validate(type='password' data-bind='value:changeNewPassConfirm' required)
                        label(for='new-pass2') Confirm New Password
                div.row
                    div.input-field.col.s6
                        button#change-pass-btn.btn.waves-effect(name='action' type='submit') Change Password

                    div#first-login-highlight.tap-target.teal(data-target='change-pass-btn')
                        div.tap-target-content.white-text(style='top: -100px')
                            h6 First Time Logging in, please change your password.


        div.col.s12.l6(style='padding:2.5%' data-bind='visible:isSuperUser')

            h5 Create User
            form#create-user-form
                div.row
                    div.input-field.col.s10
                        input#new-username.validate(type='email' data-bind='value:newUsername' required)
                        label(for='new-username') Username
                div.row
                    div.input-field.col.s10
                        input#new-userpass1.validate(type='password' data-bind='value:newUserPassword' required)
                        label(for='new-userpass1') Password
                div.row
                    div.input-field.col.s10
                        input#new-userpass2.validate(type='password' data-bind='value:newUserConfirmPassword' required)
                        label(for='new-userpass2') Confirm Password
                div.row
                    div.input-field.col.s10
                        select#new-userrole.validate(data-bind='value:newUserRole' required)
                            option(value='' selected disabled) -- Choose --
                            option(value='CC') Call Center
                            option(value='RA') Reports Account
                            option(value='DM') Data Manager
							option(value='AD') Administrator
                        label(for='new-userrole') Role
                div.row
                    div.input-field.col.s6
                        button#create-user-btn.btn.waves-effect(name='action' type='submit') Create User
